The Yaf_Route_Rewrite class

- « Yaf_Route_Regex::route

- Yaf_Route_Rewrite::assemble »

- PHP Manual
- Yaf
- The Yaf_Route_Rewrite class

# The Yaf_Route_Rewrite class

(Yaf >=1.0.0)

## Introduction

For usage, please see the example section of Yaf_Route_Rewrite::__construct()

## Class synopsis

class Yaf_Route_Rewrite extends Yaf_Route_Interface implements Yaf_Route_Interface {
/* Properties */
protected $_route;
protected $_default;
protected $_verify;
/* Methods */
public __construct(string `$match`, array `$route`, array `$verify` = ?)
public assemble(array `$info`, array `$query` = ?): string
public route(Yaf_Request_Abstract `$request`): bool
/* Inherited methods */
abstract public Yaf_Route_Interface::assemble(array `$info`, array `$query` = ?): string
abstract public Yaf_Route_Interface::route(Yaf_Request_Abstract `$request`): bool
}

## Properties

_route

_default

_verify

## Table of Contents

- Yaf_Route_Rewrite::assemble — Assemble a url
- Yaf_Route_Rewrite::__construct — Yaf_Route_Rewrite constructor
- Yaf_Route_Rewrite::route — The route purpose